/*
 Languages for Scientific Computing
 ----
*/
// to compile:
// gcc test6.c -o test.x -Wall 

// argc, argv 


#include <stdlib.h>   // (almost) always necessary
#include <stdio.h>    // (almost) always necessary

/* the MAIN program starts here */
int main( int argc, char *argv[] )
{
   // argc counts the number of arguments + 1
   // argv contains the arguments, starting from argv[1]  
   // *argv[] == **argv   (array of pointers to string)
   
   if(argc == 1) printf(" argument needed: pass me some arguments\n");
 
   if(argc > 1) 
      {
	 int i;

	 for( i=1; i < argc; i++ )
	    printf( "argument[%d]: %s\n",  i, argv[i] ); 
         //printf( "argument %d is: %d\n",  i, atoi(argv[i]) );
         
	 // atof(), atol()
      }


   int left, right;
   if(argc > 3) { 
      left  = atoi(argv[2]);
      right = atoi(argv[3]); 
      printf( "left: %d\tright: %d\n", left, right );
   }
   

   // what is argv[0] ?
   printf( "argument[0]: %s\n",  argv[0] ); 

   return( 0 );
}



